Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ContainerEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.ContainerEditPolicy
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ContainerEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class ContainerEditPolicy
extends ContainerEditPolicy

the container edit policy

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ContainerEditPolicy()`

Method Summary
`protected Command` `getAddCommand(GroupRequest request)`
`protected Command` `getArrangeCommand(ArrangeRequest request)` gets an arrange command
`protected Command` `getBringForwardCommand(ZOrderRequest request)` Returns a command the moves the selected views one step toward the front
`protected Command` `getBringToFrontCommand(ZOrderRequest request)` Returns a command that moves the selected views to the front
`Command` `getCommand(Request request)`
`protected Command` `getCreateCommand(CreateRequest request)`
`protected Command` `getDeleteDependantCommand(Request request)` gets a delete dependant command
`Command` `getOrphanChildrenCommand(GroupRequest request)`
`protected Command` `getPasteCommand(org.eclipse.gmf.runtime.diagram.ui.internal.requests.PasteViewRequest request)` Returns a command to paste the views
`protected Command` `getSendBackwardCommand(ZOrderRequest request)` Returns a command the moves the selected views one step toward the back
`protected Command` `getSendToBackCommand(ZOrderRequest request)` Returns a command the moves the selected views to the back
`EditPart` `getTargetEditPart(Request request)`
`java.lang.Runnable` `layoutNodes(java.util.List nodes, boolean offsetFromBoundingBox, IAdaptable layoutHint)`
`boolean` `understandsRequest(Request request)`

Methods inherited from class org.eclipse.gef.editpolicies.ContainerEditPolicy
`getCloneCommand`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerEditPolicy

    public ContainerEditPolicy()

Method Detail

### getAddCommand

    protected Command getAddCommand(GroupRequest request)

### getDeleteDependantCommand

    protected Command getDeleteDependantCommand(Request request)

  gets a delete dependant command

  Parameters:
    `request` - the request
  Returns:
    command

### getCreateCommand

    protected Command getCreateCommand(CreateRequest request)

### getOrphanChildrenCommand

    public Command getOrphanChildrenCommand(GroupRequest request)

### getPasteCommand

    protected Command getPasteCommand(org.eclipse.gmf.runtime.diagram.ui.internal.requests.PasteViewRequest request)

  Returns a command to paste the views

  Parameters:
    `request` - The PasteViewRequest
  Returns:
    Command the command to execute

### getBringToFrontCommand

    protected Command getBringToFrontCommand(ZOrderRequest request)

  Returns a command that moves the selected views to the front

  Parameters:
    `request` - the ZOrder Request
  Returns:
    the command to execute

### getBringForwardCommand

    protected Command getBringForwardCommand(ZOrderRequest request)

  Returns a command the moves the selected views one step toward the front

  Parameters:
    `request` - the ZOrder Request
  Returns:
    the command to execute

### getSendToBackCommand

    protected Command getSendToBackCommand(ZOrderRequest request)

  Returns a command the moves the selected views to the back

  Parameters:
    `request` - the ZOrder Request
  Returns:
    the command to execute

### getSendBackwardCommand

    protected Command getSendBackwardCommand(ZOrderRequest request)

  Returns a command the moves the selected views one step toward the back

  Parameters:
    `request` - the ZOrder Request
  Returns:
    the command to execute

### getArrangeCommand

    protected Command getArrangeCommand(ArrangeRequest request)

  gets an arrange command

  Parameters:
    `request` -
  Returns:
    command

### layoutNodes

    public java.lang.Runnable layoutNodes(java.util.List nodes,
                                          boolean offsetFromBoundingBox,
                                          IAdaptable layoutHint)

  Parameters:
    `offsetFromBoundingBox` -
    `nodes` -
    `layoutHint` -
  Returns:
    runnable

### getCommand

    public Command getCommand(Request request)

  See Also:
    `EditPolicy.getCommand(Request)`

### getTargetEditPart

    public EditPart getTargetEditPart(Request request)

  See Also:
    `EditPolicy.getTargetEditPart(org.eclipse.gef.Request)`

### understandsRequest

    public boolean understandsRequest(Request request)

  See Also:
    `EditPolicy.understandsRequest(org.eclipse.gef.Request)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.